import * as i0 from "@angular/core";
export declare class CanonicalLinkTagService {
    private doc;
    constructor(doc: Document);
    createLinkTag(href: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CanonicalLinkTagService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CanonicalLinkTagService>;
}
